# Generated by Django 3.0 on 2020-04-03 01:33

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('pages', '0019_auto_20200402_1826'),
    ]

    operations = [
        migrations.AddField(
            model_name='site',
            name='height_field',
            field=models.PositiveIntegerField(editable=False, null=True, verbose_name='Height Field'),
        ),
        migrations.AddField(
            model_name='site',
            name='pic',
            field=models.ImageField(height_field='height_field', null=True, upload_to='site/banners', verbose_name='About Me Picture', width_field='width_field'),
        ),
        migrations.AddField(
            model_name='site',
            name='width_field',
            field=models.PositiveIntegerField(editable=False, null=True, verbose_name='Width Field'),
        ),
        migrations.AlterField(
            model_name='banner',
            name='is_main',
            field=models.BooleanField(default=True, help_text='check this if you want to show the picture bellow the banner', verbose_name='Big Banner'),
        ),
        migrations.AlterField(
            model_name='banner',
            name='pic',
            field=models.ImageField(height_field='height_field', upload_to='site/banners', verbose_name='Banner', width_field='width_field'),
        ),
        migrations.AlterField(
            model_name='banner',
            name='priority',
            field=models.PositiveIntegerField(help_text='Priority of showing banners', verbose_name='Priority'),
        ),
        migrations.AlterField(
            model_name='banner',
            name='url_name',
            field=models.CharField(blank=True, choices=[('home', 'Home'), ('gallery', 'Gallery'), ('posts', 'Posts'), ('faq', 'FAQ'), ('contact', 'Say Hello')], help_text='leave this field if it is main banner', max_length=15, null=True, verbose_name='Related URL Name'),
        ),
    ]
